<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-applications-form.twig */
class __TwigTemplate_8859bd9ea03cf9a35f3f066d634933e608338d16990ed1f4b6079da3bf2ca1cc extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "user-applications-form.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "user-applications-form.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Authorized applications for user");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Close");
        echo ", XiboDialogClose()
";
    }

    // line 22
    public function block_formHtml($context, array $blocks = [])
    {
        // line 23
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <table id=\"applications\" class=\"table table-striped\">
                <thead>
                <tr>
                    <th>";
        // line 28
        echo __("Name");
        echo "</th>
                    <th>";
        // line 29
        echo __("Expires");
        echo "</th>
                </tr>
                </thead>
                <tbody>
                    ";
        // line 33
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["applications"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["application"]) {
            // line 34
            echo "                        <tr>
                            <td>";
            // line 35
            echo twig_escape_filter($this->env, $this->getAttribute($context["application"], "name", []), "html", null, true);
            echo "</td>
                            <td>";
            // line 36
            echo twig_escape_filter($this->env, $this->getAttribute($context["application"], "expires", []), "html", null, true);
            echo "</td>
                        </tr>
                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['application'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 39
        echo "                </tbody>
            </table>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-applications-form.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  109 => 39,  100 => 36,  96 => 35,  93 => 34,  89 => 33,  82 => 29,  78 => 28,  71 => 23,  68 => 22,  62 => 19,  55 => 18,  52 => 17,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "user-applications-form.twig", "/home/mgatv524/public_html/edurocha/views/user-applications-form.twig");
    }
}
